Subject: Compiling WU-FTP VR17 under old AIX

From: Brian Salter-Duke <[email-masked]>
Date: Thu, 22 Apr 1999 08:45:57 +1100

A while back I posted about an error compiling VR17 on
an old AIX running AIX3.2 as follows:-

> This fails on compile as follows:-
> 
> make args are : 
> make opts are : 
> 
> Copying Makefiles.
> 
> Linking src/config.h
> 
> Making support library.
> 	cc -O2 -D_NO_PROTO   -c getusershell.c
> 	cc -O2 -D_NO_PROTO   -c fnmatch.c
> 	cc -O2 -D_NO_PROTO   -c strcasestr.c
> 	cc -O2 -D_NO_PROTO   -c strsep.c
> 	cc -O2 -D_NO_PROTO   -c authuser.c
> "/usr/include/netinet/if_ether.h", line 82.9: 1506-007 (S) Struct or 
> union arphdr is undefined.
>     1501-106: (S) Include file net/if_dl.h not found.
> make: 1254-004 The error code from the last command is 1.
> 
> Make Quitting.
> 
> Making ftpd.
> 	cc -O2 -D_NO_PROTO -I.. -I../support -L../support -c ftpd.c
> "/usr/include/netinet/if_ether.h", line 82.9: 1506-007 (S) Struct or 
> union arphdr is undefined.
>     1501-106: (S) Include file net/if_dl.h not found.
> make: 1254-004 The error code from the last command is 1.
> 
> Make Quitting.
> 
> then errors about not finding libsupport.a, which are obvious.
> 
> In both authuser.c and ftpd.c there is a "ifdef AIX" block that includes
> both if_ether.h and net/if_dl.h. I do not have the latter on my system
> and perhaps the former is different from what is expected. It looks
> to me as if the AIX config files and makefiles are only tested for
> AIX4.
> 
> Can anyone tell me what these include files are used for in the code,
> or suggest any other fix for the AIX 3 systems.

I got no useful replies. Today I looked at this again. I just commented
out the include lines for if_ether.h and if_dl.h in both authusers.c and
ftpd.c. It then compiled fine with both the AIX cc and gcc. It appears to
run OK. Have I done anything stupid re security by doing this. Could the
VR developers comment on what this include files do?

Another problem was that ./build install gave:-

make args are : 
make opts are : 
installing binaries.
sh: test: 0402-017 Specify a parameter with this command.
make: 1254-004 The error code from the last command is 1.

Make Quitting.

I installed by hand. I do not understand this error message.

Cheers, Brian.
-- 
        Associate Professor Brian Salter-Duke (Brian Duke)
School of Mathematical and Physical Sciences, Northern Territory University,
  Darwin, NT 0909, Australia.  Phone 08-89466702. Fax 08-89466847
e-mail: [email-masked]  WWW http://lacebark.ntu.edu.au/chemistry 

-- 
        Associate Professor Brian Salter-Duke (Brian Duke)
School of Mathematical and Physical Sciences, Northern Territory University,
  Darwin, NT 0909, Australia.  Phone 08-89466702. Fax 08-89466847
e-mail: [email-masked]  WWW http://lacebark.ntu.edu.au/chemistry